Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.eac
Class CertificateHolderAuthorization

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.eac.CertificateHolderAuthorization

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class CertificateHolderAuthorization
extends ASN1Object

an Iso7816CertificateHolderAuthorization structure. Certificate Holder Authorization ::= SEQUENCE { // specifies the format and the rules for the evaluation of the authorization // level ASN1ObjectIdentifier oid, // access rights ASN1TaggedObject accessRights, }

Field Summary
`static int` | `CVCA`
`static int` | `DV_DOMESTIC`
`static int` | `DV_FOREIGN`
`static ASN1ObjectIdentifier` | `id_role_EAC`
`static int` | `IS`
`static int` | `RADG3`
`static int` | `RADG4`

Constructor Summary
`CertificateHolderAuthorization(ASN1ObjectIdentifier oid, int rights)` create an Iso7816CertificateHolderAuthorization according to the parameters
`CertificateHolderAuthorization(ASN1TaggedObject aSpe)` create an Iso7816CertificateHolderAuthorization according to the `ASN1TaggedObject`

Method Summary
`int` | `getAccessRights()`
`static int` | `getFlag(java.lang.String description)`
`ASN1ObjectIdentifier` | `getOid()`
`static java.lang.String` | `getRoleDescription(int i)`
`ASN1Primitive` | `toASN1Primitive()` return the Certificate Holder Authorization as an ASN1TaggedObject

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id_role_EAC

    public static final ASN1ObjectIdentifier id_role_EAC

### CVCA

    public static final int CVCA

See Also:
  Constant Field Values

### DV_DOMESTIC

    public static final int DV_DOMESTIC

See Also:
  Constant Field Values

### DV_FOREIGN

    public static final int DV_FOREIGN

See Also:
  Constant Field Values

### IS

    public static final int IS

See Also:
  Constant Field Values

### RADG4

    public static final int RADG4

See Also:
  Constant Field Values

### RADG3

    public static final int RADG3

See Also:
  Constant Field Values

Constructor Detail

### CertificateHolderAuthorization

    public CertificateHolderAuthorization(ASN1ObjectIdentifier oid,
                                          int rights)
                                   throws java.io.IOException

  create an Iso7816CertificateHolderAuthorization according to the parameters

Parameters:
  `oid` - Object Identifier : specifies the format and the rules for the evaluatioin of the authorization level.
  `rights` - specifies the access rights
Throws:
  `java.io.IOException`

### CertificateHolderAuthorization

    public CertificateHolderAuthorization(ASN1TaggedObject aSpe)
                                   throws java.io.IOException

  create an Iso7816CertificateHolderAuthorization according to the `ASN1TaggedObject`

Parameters:
  `aSpe` - the ASN1TaggedObject containing the data
Throws:
  `java.io.IOException`

Method Detail

### getRoleDescription

    public static java.lang.String getRoleDescription(int i)

### getFlag

    public static int getFlag(java.lang.String description)

### getAccessRights

    public int getAccessRights()

  Returns:
    containing the access rights

### getOid

    public ASN1ObjectIdentifier getOid()

  Returns:
    the Object identifier

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  return the Certificate Holder Authorization as an ASN1TaggedObject

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD